Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.matrixJep.nodeTypes
Class ASTMConstant

    java.lang.Object
      org.nfunk.jep.SimpleNode
          org.nfunk.jep.ASTConstant
              org.lsmp.djep.matrixJep.nodeTypes.ASTMConstant

All Implemented Interfaces:
  MatrixNodeI, Node

    public class ASTMConstant

extends ASTConstant
implements MatrixNodeI

Holds a single constant number.

Author:
  Rich Morris Created on 01-Feb-2004

Field Summary

Fields inherited from class org.nfunk.jep.SimpleNode
`children, id, parent, parser`

Constructor Summary
`ASTMConstant(int i)`

Method Summary
`Dimensions` | `getDim()`
`MatrixValueI` | `getMValue()`
`java.lang.Object` | `getValue()`
`void` | `setValue(java.lang.Object val)`

Methods inherited from class org.nfunk.jep.ASTConstant
`jjtAccept, toString`

Methods inherited from class org.nfunk.jep.SimpleNode
`childrenAccept, dump, getId, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.nfunk.jep.Node
`jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent`

Constructor Detail

### ASTMConstant

    public ASTMConstant(int i)

Method Detail

### getDim

    public Dimensions getDim()

  Specified by:
    `getDim` in interface `MatrixNodeI`

### getMValue

    public MatrixValueI getMValue()

  Specified by:
    `getMValue` in interface `MatrixNodeI`

### getValue

    public java.lang.Object getValue()

  Overrides:
    `getValue` in class `ASTConstant`

### setValue

    public void setValue(java.lang.Object val)

  Overrides:
    `setValue` in class `ASTConstant`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems